#version 100
// int 和 float 默认为 highp 级别

uniform mat4 mMatrix;
uniform mat4 mSTMatrix;
attribute vec2 mPosAttr;
attribute vec2 mTexCordAttr;
varying vec2 mTexCord;

void main() {
    mTexCord = (mSTMatrix * vec4(mTexCordAttr, 0.0, 1.0)).xy;
    gl_Position = mMatrix * vec4(mPosAttr, 0.0, 1.0);
}