precision mediump float;

uniform sampler2D u_TextureUnit;
varying vec2 v_TextureCoordinates;
varying float v_alpha;

void main()
{
    vec4 nColor=texture2D(u_TextureUnit, v_TextureCoordinates);
    gl_FragColor = vec4(nColor.r * v_alpha, nColor.g * v_alpha, nColor.b * v_alpha, nColor.a * v_alpha);
}
